Ordenar los campos de un grupo
curl --request PUT \
--url https://api.ugps.io/api/asset-custom-fields/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupId": "<string>",
"fieldIds": [
"<string>"
]
}
'import requests
url = "https://api.ugps.io/api/asset-custom-fields/order"
payload = {
"groupId": "<string>",
"fieldIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupId: '<string>', fieldIds: ['<string>']})
};
fetch('https://api.ugps.io/api/asset-custom-fields/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/asset-custom-fields/order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'groupId' => '<string>',
'fieldIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/asset-custom-fields/order"
payload := strings.NewReader("{\n \"groupId\": \"<string>\",\n \"fieldIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.ugps.io/api/asset-custom-fields/order")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"groupId\": \"<string>\",\n \"fieldIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/asset-custom-fields/order")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"groupId\": \"<string>\",\n \"fieldIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "6727d4b2c1a8e3f0a9b1c2d3",
"label": "Código de inventario",
"name": "codigo_de_inventario",
"type": "text",
"groupId": "<string>",
"order": 123,
"options": [
{
"value": "taller",
"label": "Taller central",
"status": "active"
}
],
"rules": {
"required": true,
"unique": true,
"minLength": 500,
"maxLength": 500,
"min": 123,
"max": 123,
"maxDecimals": 5,
"minDate": "2020-01-01",
"maxDate": "2030-12-31"
},
"status": "active",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Activos - Campos personalizados
Ordenar los campos de un grupo
Fija el orden de los campos activos de un grupo. fieldIds trae cada campo activo del
grupo una sola vez, en el orden nuevo; si falta o sobra alguno responde 400.
Permisos requeridos: access_asset_custom_fields (Campos de activos)
PUT
/
api
/
asset-custom-fields
/
order
Ordenar los campos de un grupo
curl --request PUT \
--url https://api.ugps.io/api/asset-custom-fields/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupId": "<string>",
"fieldIds": [
"<string>"
]
}
'import requests
url = "https://api.ugps.io/api/asset-custom-fields/order"
payload = {
"groupId": "<string>",
"fieldIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupId: '<string>', fieldIds: ['<string>']})
};
fetch('https://api.ugps.io/api/asset-custom-fields/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/asset-custom-fields/order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'groupId' => '<string>',
'fieldIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/asset-custom-fields/order"
payload := strings.NewReader("{\n \"groupId\": \"<string>\",\n \"fieldIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.ugps.io/api/asset-custom-fields/order")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"groupId\": \"<string>\",\n \"fieldIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/asset-custom-fields/order")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"groupId\": \"<string>\",\n \"fieldIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "6727d4b2c1a8e3f0a9b1c2d3",
"label": "Código de inventario",
"name": "codigo_de_inventario",
"type": "text",
"groupId": "<string>",
"order": 123,
"options": [
{
"value": "taller",
"label": "Taller central",
"status": "active"
}
],
"rules": {
"required": true,
"unique": true,
"minLength": 500,
"maxLength": 500,
"min": 123,
"max": 123,
"maxDecimals": 5,
"minDate": "2020-01-01",
"maxDate": "2030-12-31"
},
"status": "active",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.

